=== src/Makefile ===
all: reaper

# Pick compiler by preference
#CC = /usr/bin/gcc
CC = /usr/bin/musl-gcc

CFLAGS = -Wall -static -O3 -flto

reaper: reaper.c
	$(CC) $(CFLAGS) -o $@ $^

clean:
	rm -f reaper
