=== debian/changelog ===
overlay-boot (1.1-1) experimental; urgency=medium

  * Added bind-mount of /etc/adjtime to keep subhost time aligned with host
  * Updated networking for ifupdown-without-bridge

 -- Ralph Ronnquist <rrq@rrq.au>  Mon, 29 Jan 2024 09:22:00 +1100

overlay-boot (1.0-1) unstable; urgency=medium

  * Version change for (first) unstable build.

 -- Ralph Ronnquist <rrq@rrq.au>  Mon, 04 Sep 2023 13:22:49 +1000

overlay-boot (0.1.14) experimental; urgency=medium

  * Bug fixes to handle bind mounted LIVE

 -- Ralph Ronnquist <rrq@rrq.au>  Mon, 04 Sep 2023 12:26:05 +1000

overlay-boot (0.1.13) experimental; urgency=medium

  * Revise network startup to handle the ifup case better.

 -- Ralph Ronnquist <rrq@rrq.au>  Fri, 25 Aug 2023 23:34:49 +1000

overlay-boot (0.1.12) experimental; urgency=medium

  * Change of email and signing key

 -- Ralph Ronnquist <rrq@rrq.au>  Mon, 26 Jun 2023 21:24:41 +1000

overlay-boot (0.1.11) experimental; urgency=medium

  * added vlan setup support

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 27 May 2023 17:27:46 +1000

overlay-boot (0.1.10) experimental; urgency=medium

  * include the overlay-share utility

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Fri, 02 Dec 2022 19:21:58 +1100

overlay-boot (0.1.9) experimental; urgency=medium

  * discard most mounts before unshare

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 12 Nov 2022 18:33:38 +1100

overlay-boot (0.1.8) unstable; urgency=medium

  * added configuration for shared subdirectories

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 29 Sep 2022 20:33:13 +1000

overlay-boot (0.1.7) unstable; urgency=medium

  * distribute /etc/subhosts.conf as well

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 10 May 2022 14:34:36 +1000

overlay-boot (0.1.6) unstable; urgency=medium

  * added sysvinit service support

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 10 May 2022 12:38:32 +1000

overlay-boot (0.1.5) unstable; urgency=medium

  * with optional cpuset accounting

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 09 Apr 2022 10:12:58 +1000

overlay-boot (0.1.4) unstable; urgency=medium

  * added diskfile support

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 03 Apr 2022 22:02:56 +1000

overlay-boot (0.1.2) unstable; urgency=medium

  * bbonev squeeze of reaper.asm

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 29 Mar 2022 10:41:51 +1100

overlay-boot (0.1.1) unstable; urgency=medium

  * refactoring for more flexible config

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 27 Mar 2022 18:55:49 +1100

overlay-boot (0.1) unstable; urgency=medium

  * initial packaging

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Fri, 25 Mar 2022 18:05:01 +1100
