=== debian/control ===
Source: overlay-boot
Section: misc
Priority: optional
Origin: Devuan
Maintainer: Ralph Ronnquist <rrq@grrq.au>
Build-Depends: debhelper-compat (= 13),
 asciidoctor, docbook-xml, libxslt1-dev, xsltproc, docbook-xsl,
 musl-tools
Standards-Version: 4.6.0
Homepage: https://borta.rrq.id.au/git?p=ralph/overlay-boot.git
Vcs-Git: https://borta.rrq.id.au/git?p=ralph/overlay-boot.git

Package: overlay-boot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 coreutils (>=  8.32-4+b1), util-linux (>= 2.36.1-8+devuan2),
 mount, iproute2, ifupdown, dash, procps
Description: Admin scripts for running overlay subhosts
 Overlay subhosting uses unshare and chroot for running services
 within independent overlay filesystems, with a common kernel but
 independent namespaces. Aka "containerization with a modicum of bells
 and whistles".
