## overlay-boot 1.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 ETCDIR = $(DESTDIR)/etc
 INITDIR = $(DESTDIR)/etc/init.d
+SRVDIR =  $(DESTDIR)/usr/lib/systemd/system
 MAN8DIR = $(DESTDIR)/usr/share/man/man8
 SBINDIR = $(DESTDIR)/usr/sbin
 VARLIBDIR = $(DESTDIR)/var/lib/overlay-boot
@@ -12,6 +13,7 @@
 VARLIBFILES += overlay-share
 INITFILES = subhosts
 ETCFILES = subhosts.conf
+SRVFILES = overlay-boot@.service
 
 # The default is to build asm/reaper
 REAPER = src/reaper
@@ -51,6 +53,10 @@
 $(addprefix $(VARLIBDIR)/,$(VARLIBFILES)): $(VARLIBDIR)/%: % | $(VARLIBDIR)/
 	cp -p $< $@
 
+# Generic rule: copy service files
+$(addprefix $(SRVDIR)/,$(SRVFILES)): $(SRVDIR)/%: % | $(SRVDIR)/
+	cp $< $@
+
 # Make target: to clean up this workspace
 clean:
 	rm -f reaper *.8
@@ -62,6 +68,7 @@
 INSTALLTARGETS += $(addprefix $(MAN8DIR)/,$(MAN8FILES))
 INSTALLTARGETS += $(addprefix $(VARLIBDIR)/,$(VARLIBFILES))
 INSTALLTARGETS += $(addprefix $(INITDIR)/,$(INITFILES))
+INSTALLTARGETS += $(addprefix $(SRVDIR)/,$(SRVFILES))
 INSTALLTARGETS += $(addprefix $(ETCDIR)/,$(ETCFILES))
 
 install: $(INSTALLTARGETS)
