=== src/Makefile ===
all: reaper

CC = /usr/bin/gcc

CFLAGS = -Wall -static -O3 -flto

reaper: reaper.c
	$(CC) $(CFLAGS) -o $@ $^

clean:
	rm -f reaper
