=== debian/changelog ===
overlay-boot (1.2-1) unstable; urgency=medium

  * First version into debian repository

 -- Ralph Ronnquist <rrq@rrq.au>  Tue, 03 Dec 2024 23:34:38 +1100
