=== debian/control ===
Source: overlay-boot
Section: misc
Priority: optional
Maintainer: Ralph Ronnquist <rrq@rrq.au>
Build-Depends: debhelper-compat (= 13), asciidoctor
Standards-Version: 4.7.0
Homepage: https://git.devuan.org/devuan/overlay-boot.git
Vcs-Git: https://git.devuan.org/devuan/overlay-boot.git
vcs-browser: https://git.devuan.org/devuan/overlay-boot.git

Package: overlay-boot
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 mount, iproute2, ifupdown, procps
Description: Admin scripts for running overlay subhosts
 Overlay subhosting that uses unshare and chroot for running services
 within independent overlay filesystems, with a common kernel but
 independent namespaces. Aka "containerization with a modicum of bells
 and whistles".
 .
 This is a lightweight container alternative that supports the full
 range of use cases. It includes for example, "safe" trialling of
 software over an existing filesystem without "polluting" that
 filesystem (and without copying it). And, an overlay-boot setup might
 be made as a full foreign architecture sub-hosting. The framework is
 entirely in shell script form which is both fully transparent and
 easily modifiable.
