=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# add prerm/postinst automagically
override_dh_installinit:
	dh_installinit -p overlay-boot  --name=subhosts --only-scripts
